%global with_python3 1
%global module_name freetype

Name:          python-%{module_name}
Version:       0.4.2
Release:       3%{?dist}
Summary:       Freetype python bindings

License:       BSD
URL:           https://github.com/rougier/freetype-py
Source0:       https://pypi.python.org/packages/source/f/%{module_name}-py/%{module_name}-py-%{version}.tar.gz

BuildArch:     noarch
BuildRequires: python2-devel
BuildRequires: python-setuptools

%description
Freetype python bindings.

%if 0%{with_python3}
%package -n python3-%{module_name}
Summary:        Freetype python bindings
License:        MIT
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif

%if 0%{with_python3}
%description -n python3-%{module_name}
Freetype python bindings.
%endif

%prep
%setup -q -n %{module_name}-py-%{version}
#we don't want Vera.ttf to be installed
sed -i '15d' setup.py
rm -rf *.egg-info

sed -i -e '/^#!\//, 1d' freetype/*.py
sed -i -e '/^#!\//, 1d' freetype/ft_enums/*.py

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python2}|'

%build
%{__python2} setup.py build

%if 0%{with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%{__python2} setup.py install --skip-build --root=%{buildroot}

%if 0%{with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root=%{buildroot}
popd
%endif

%files -n python-%{module_name}
%doc examples LICENSE.txt
%{python2_sitelib}/%{module_name}/
%{python2_sitelib}/%{module_name}_py-%{version}-py2.?.egg-info

%if 0%{?with_python3}
%files -n python3-%{module_name}
%doc examples LICENSE.txt
%{python3_sitelib}/%{module_name}/
%{python3_sitelib}/%{module_name}_py-%{version}-py3.*.egg-info
%endif


%changelog
* Sun Nov 02 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.4.2-3
- enable python3 subpackage

* Fri Oct 24 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.4.2-2
- License is BSD not MIT

* Mon Sep 22 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.4.2-1
- Initial packaging

